<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfOXERPType ArrayType
 * @subpackage Arrays
 */
class ArrayOfOXERPType extends AbstractStructArrayBase
{
    /**
     * The OXERPType
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\OXERPType[]
     */
    public $OXERPType;
    /**
     * Constructor method for ArrayOfOXERPType
     * @uses ArrayOfOXERPType::setOXERPType()
     * @param \StructType\OXERPType[] $oXERPType
     */
    public function __construct(array $oXERPType = array())
    {
        $this
            ->setOXERPType($oXERPType);
    }
    /**
     * Get OXERPType value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\OXERPType[]|null
     */
    public function getOXERPType()
    {
        return isset($this->OXERPType) ? $this->OXERPType : null;
    }
    /**
     * This method is responsible for validating the values passed to the setOXERPType method
     * This method is willingly generated in order to preserve the one-line inline validation within the setOXERPType method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateOXERPTypeForArrayConstraintsFromSetOXERPType(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfOXERPTypeOXERPTypeItem) {
            // validation for constraint: itemType
            if (!$arrayOfOXERPTypeOXERPTypeItem instanceof \StructType\OXERPType) {
                $invalidValues[] = is_object($arrayOfOXERPTypeOXERPTypeItem) ? get_class($arrayOfOXERPTypeOXERPTypeItem) : sprintf('%s(%s)', gettype($arrayOfOXERPTypeOXERPTypeItem), var_export($arrayOfOXERPTypeOXERPTypeItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The OXERPType property can only contain items of type \StructType\OXERPType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set OXERPType value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\OXERPType[] $oXERPType
     * @return \ArrayType\ArrayOfOXERPType
     */
    public function setOXERPType(array $oXERPType = array())
    {
        // validation for constraint: array
        if ('' !== ($oXERPTypeArrayErrorMessage = self::validateOXERPTypeForArrayConstraintsFromSetOXERPType($oXERPType))) {
            throw new \InvalidArgumentException($oXERPTypeArrayErrorMessage, __LINE__);
        }
        if (is_null($oXERPType) || (is_array($oXERPType) && empty($oXERPType))) {
            unset($this->OXERPType);
        } else {
            $this->OXERPType = $oXERPType;
        }
        return $this;
    }
    /**
     * Add item to OXERPType value
     * @throws \InvalidArgumentException
     * @param \StructType\OXERPType $item
     * @return \ArrayType\ArrayOfOXERPType
     */
    public function addToOXERPType(\StructType\OXERPType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\OXERPType) {
            throw new \InvalidArgumentException(sprintf('The OXERPType property can only contain items of type \StructType\OXERPType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->OXERPType[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\OXERPType|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\OXERPType|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\OXERPType|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\OXERPType|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\OXERPType|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string OXERPType
     */
    public function getAttributeName()
    {
        return 'OXERPType';
    }
}
