<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'OXERPLogin' => '\\StructType\\OXERPLogin',
            'OXERPLoginResponse' => '\\StructType\\OXERPLoginResponse',
            'OXERPType' => '\\StructType\\OXERPType',
            'OXERPSort' => '\\StructType\\OXERPSort',
            'ArrayOfArrayOfString' => '\\ArrayType\\ArrayOfArrayOfString',
            'ArrayOfString' => '\\ArrayType\\ArrayOfString',
            'OXERPSetUser' => '\\StructType\\OXERPSetUser',
            'ArrayOfOXERPType' => '\\ArrayType\\ArrayOfOXERPType',
            'OXERPSetUserResponse' => '\\StructType\\OXERPSetUserResponse',
            'OXERPGetUser' => '\\StructType\\OXERPGetUser',
            'OXERPGetUserResponse' => '\\StructType\\OXERPGetUserResponse',
            'OXERPGetUsers' => '\\StructType\\OXERPGetUsers',
            'OXERPGetUsersResponse' => '\\StructType\\OXERPGetUsersResponse',
            'OXERPDeleteUser' => '\\StructType\\OXERPDeleteUser',
            'OXERPDeleteUserResponse' => '\\StructType\\OXERPDeleteUserResponse',
            'OXERPDeleteUsers' => '\\StructType\\OXERPDeleteUsers',
            'OXERPDeleteUsersResponse' => '\\StructType\\OXERPDeleteUsersResponse',
            'OXERPSetCategory' => '\\StructType\\OXERPSetCategory',
            'OXERPSetCategoryResponse' => '\\StructType\\OXERPSetCategoryResponse',
            'OXERPGetCategory' => '\\StructType\\OXERPGetCategory',
            'OXERPGetCategoryResponse' => '\\StructType\\OXERPGetCategoryResponse',
            'OXERPGetCategories' => '\\StructType\\OXERPGetCategories',
            'OXERPGetCategoriesResponse' => '\\StructType\\OXERPGetCategoriesResponse',
            'OXERPDeleteCategory' => '\\StructType\\OXERPDeleteCategory',
            'OXERPDeleteCategoryResponse' => '\\StructType\\OXERPDeleteCategoryResponse',
            'OXERPDeleteCategories' => '\\StructType\\OXERPDeleteCategories',
            'OXERPDeleteCategoriesResponse' => '\\StructType\\OXERPDeleteCategoriesResponse',
            'OXERPSetArticle' => '\\StructType\\OXERPSetArticle',
            'OXERPSetArticleResponse' => '\\StructType\\OXERPSetArticleResponse',
            'OXERPGetArticle' => '\\StructType\\OXERPGetArticle',
            'OXERPGetArticleResponse' => '\\StructType\\OXERPGetArticleResponse',
            'OXERPSetArtExtends' => '\\StructType\\OXERPSetArtExtends',
            'OXERPSetArtExtendsResponse' => '\\StructType\\OXERPSetArtExtendsResponse',
            'OXERPGetArtExtends' => '\\StructType\\OXERPGetArtExtends',
            'OXERPGetArtExtendsResponse' => '\\StructType\\OXERPGetArtExtendsResponse',
            'OXERPGetArticles' => '\\StructType\\OXERPGetArticles',
            'OXERPGetArticlesResponse' => '\\StructType\\OXERPGetArticlesResponse',
            'OXERPDeleteArticle' => '\\StructType\\OXERPDeleteArticle',
            'OXERPDeleteArticleResponse' => '\\StructType\\OXERPDeleteArticleResponse',
            'OXERPDeleteArticleCategory' => '\\StructType\\OXERPDeleteArticleCategory',
            'OXERPDeleteArticleCategoryResponse' => '\\StructType\\OXERPDeleteArticleCategoryResponse',
            'OXERPDeleteOrderArticle' => '\\StructType\\OXERPDeleteOrderArticle',
            'OXERPDeleteOrderArticleResponse' => '\\StructType\\OXERPDeleteOrderArticleResponse',
            'OXERPDeleteAccessoireArticle' => '\\StructType\\OXERPDeleteAccessoireArticle',
            'OXERPDeleteAccessoireArticleResponse' => '\\StructType\\OXERPDeleteAccessoireArticleResponse',
            'OXERPDeleteArticleScalePrice' => '\\StructType\\OXERPDeleteArticleScalePrice',
            'OXERPDeleteArticleScalePriceResponse' => '\\StructType\\OXERPDeleteArticleScalePriceResponse',
            'OXERPDeleteArticleCrossselling' => '\\StructType\\OXERPDeleteArticleCrossselling',
            'OXERPDeleteArticleCrosssellingResponse' => '\\StructType\\OXERPDeleteArticleCrosssellingResponse',
            'OXERPDeleteActionsArticle' => '\\StructType\\OXERPDeleteActionsArticle',
            'OXERPDeleteActionsArticleResponse' => '\\StructType\\OXERPDeleteActionsArticleResponse',
            'OXERPDeleteArticles' => '\\StructType\\OXERPDeleteArticles',
            'OXERPDeleteArticlesResponse' => '\\StructType\\OXERPDeleteArticlesResponse',
            'OXERPSetArticleStock' => '\\StructType\\OXERPSetArticleStock',
            'OXERPSetArticleStockResponse' => '\\StructType\\OXERPSetArticleStockResponse',
            'OXERPGetArticleStock' => '\\StructType\\OXERPGetArticleStock',
            'OXERPGetArticleStockResponse' => '\\StructType\\OXERPGetArticleStockResponse',
            'OXERPSetArticleCategory' => '\\StructType\\OXERPSetArticleCategory',
            'OXERPSetArticleCategoryResponse' => '\\StructType\\OXERPSetArticleCategoryResponse',
            'OXERPGetArticleCategory' => '\\StructType\\OXERPGetArticleCategory',
            'OXERPGetArticleCategoryResponse' => '\\StructType\\OXERPGetArticleCategoryResponse',
            'OXERPSetObject2Category' => '\\StructType\\OXERPSetObject2Category',
            'OXERPSetObject2CategoryResponse' => '\\StructType\\OXERPSetObject2CategoryResponse',
            'OXERPGetObject2Category' => '\\StructType\\OXERPGetObject2Category',
            'OXERPGetObject2CategoryResponse' => '\\StructType\\OXERPGetObject2CategoryResponse',
            'OXERPDeleteObject2Category' => '\\StructType\\OXERPDeleteObject2Category',
            'OXERPDeleteObject2CategoryResponse' => '\\StructType\\OXERPDeleteObject2CategoryResponse',
            'OXERPSetArticleAction' => '\\StructType\\OXERPSetArticleAction',
            'OXERPSetArticleActionResponse' => '\\StructType\\OXERPSetArticleActionResponse',
            'OXERPGetArticleAction' => '\\StructType\\OXERPGetArticleAction',
            'OXERPGetArticleActionResponse' => '\\StructType\\OXERPGetArticleActionResponse',
            'OXERPSetArticleCrossselling' => '\\StructType\\OXERPSetArticleCrossselling',
            'OXERPSetArticleCrosssellingResponse' => '\\StructType\\OXERPSetArticleCrosssellingResponse',
            'OXERPGetArticleCrossselling' => '\\StructType\\OXERPGetArticleCrossselling',
            'OXERPGetArticleCrosssellingResponse' => '\\StructType\\OXERPGetArticleCrosssellingResponse',
            'OXERPSetArticleScalePrice' => '\\StructType\\OXERPSetArticleScalePrice',
            'OXERPSetArticleScalePriceResponse' => '\\StructType\\OXERPSetArticleScalePriceResponse',
            'OXERPGetArticleScalePrice' => '\\StructType\\OXERPGetArticleScalePrice',
            'OXERPGetArticleScalePriceResponse' => '\\StructType\\OXERPGetArticleScalePriceResponse',
            'OXERPSetArticleAccessoire' => '\\StructType\\OXERPSetArticleAccessoire',
            'OXERPSetArticleAccessoireResponse' => '\\StructType\\OXERPSetArticleAccessoireResponse',
            'OXERPGetArticleAccessoire' => '\\StructType\\OXERPGetArticleAccessoire',
            'OXERPGetArticleAccessoireResponse' => '\\StructType\\OXERPGetArticleAccessoireResponse',
            'OXERPSetOrder' => '\\StructType\\OXERPSetOrder',
            'OXERPSetOrderResponse' => '\\StructType\\OXERPSetOrderResponse',
            'OXERPGetOrder' => '\\StructType\\OXERPGetOrder',
            'OXERPGetOrderResponse' => '\\StructType\\OXERPGetOrderResponse',
            'OXERPGetOrders' => '\\StructType\\OXERPGetOrders',
            'OXERPGetOrdersResponse' => '\\StructType\\OXERPGetOrdersResponse',
            'OXERPDeleteOrder' => '\\StructType\\OXERPDeleteOrder',
            'OXERPDeleteOrderResponse' => '\\StructType\\OXERPDeleteOrderResponse',
            'OXERPDeleteOrders' => '\\StructType\\OXERPDeleteOrders',
            'OXERPDeleteOrdersResponse' => '\\StructType\\OXERPDeleteOrdersResponse',
            'OXERPSetOrderArticle' => '\\StructType\\OXERPSetOrderArticle',
            'OXERPSetOrderArticleResponse' => '\\StructType\\OXERPSetOrderArticleResponse',
            'OXERPGetOrderArticle' => '\\StructType\\OXERPGetOrderArticle',
            'OXERPGetOrderArticleResponse' => '\\StructType\\OXERPGetOrderArticleResponse',
            'OXERPSetOrderStatus' => '\\StructType\\OXERPSetOrderStatus',
            'OXERPSetOrderStatusResponse' => '\\StructType\\OXERPSetOrderStatusResponse',
            'OXERPSetVendor' => '\\StructType\\OXERPSetVendor',
            'OXERPSetVendorResponse' => '\\StructType\\OXERPSetVendorResponse',
            'OXERPGetVendor' => '\\StructType\\OXERPGetVendor',
            'OXERPGetVendorResponse' => '\\StructType\\OXERPGetVendorResponse',
            'OXERPGetVendors' => '\\StructType\\OXERPGetVendors',
            'OXERPGetVendorsResponse' => '\\StructType\\OXERPGetVendorsResponse',
            'OXERPDeleteVendor' => '\\StructType\\OXERPDeleteVendor',
            'OXERPDeleteVendorResponse' => '\\StructType\\OXERPDeleteVendorResponse',
            'OXERPSetManufacturer' => '\\StructType\\OXERPSetManufacturer',
            'OXERPSetManufacturerResponse' => '\\StructType\\OXERPSetManufacturerResponse',
            'OXERPGetManufacturer' => '\\StructType\\OXERPGetManufacturer',
            'OXERPGetManufacturerResponse' => '\\StructType\\OXERPGetManufacturerResponse',
            'OXERPGetManufacturers' => '\\StructType\\OXERPGetManufacturers',
            'OXERPGetManufacturersResponse' => '\\StructType\\OXERPGetManufacturersResponse',
            'OXERPDeleteManufacturer' => '\\StructType\\OXERPDeleteManufacturer',
            'OXERPDeleteManufacturerResponse' => '\\StructType\\OXERPDeleteManufacturerResponse',
            'OXERPSetCountry' => '\\StructType\\OXERPSetCountry',
            'OXERPSetCountryResponse' => '\\StructType\\OXERPSetCountryResponse',
            'OXERPGetCountry' => '\\StructType\\OXERPGetCountry',
            'OXERPGetCountryResponse' => '\\StructType\\OXERPGetCountryResponse',
            'OXERPGetCountries' => '\\StructType\\OXERPGetCountries',
            'OXERPGetCountriesResponse' => '\\StructType\\OXERPGetCountriesResponse',
            'OXERPDeleteCountry' => '\\StructType\\OXERPDeleteCountry',
            'OXERPDeleteCountryResponse' => '\\StructType\\OXERPDeleteCountryResponse',
            'OXERPDeleteVendors' => '\\StructType\\OXERPDeleteVendors',
            'OXERPDeleteVendorsResponse' => '\\StructType\\OXERPDeleteVendorsResponse',
            'OXERPSetArticleVendor' => '\\StructType\\OXERPSetArticleVendor',
            'OXERPSetArticleVendorResponse' => '\\StructType\\OXERPSetArticleVendorResponse',
            'OXERPDeleteManufacturers' => '\\StructType\\OXERPDeleteManufacturers',
            'OXERPDeleteManufacturersResponse' => '\\StructType\\OXERPDeleteManufacturersResponse',
            'OXERPSetArticleManufacturer' => '\\StructType\\OXERPSetArticleManufacturer',
            'OXERPSetArticleManufacturerResponse' => '\\StructType\\OXERPSetArticleManufacturerResponse',
            'OXERPSetMainArticleCategory' => '\\StructType\\OXERPSetMainArticleCategory',
            'OXERPSetMainArticleCategoryResponse' => '\\StructType\\OXERPSetMainArticleCategoryResponse',
            'OXERPGetArticleVendor' => '\\StructType\\OXERPGetArticleVendor',
            'OXERPGetArticleVendorResponse' => '\\StructType\\OXERPGetArticleVendorResponse',
            'OXERPGetArticleVendors' => '\\StructType\\OXERPGetArticleVendors',
            'OXERPGetArticleVendorsResponse' => '\\StructType\\OXERPGetArticleVendorsResponse',
            'OXERPGetVendorArticles' => '\\StructType\\OXERPGetVendorArticles',
            'OXERPGetVendorArticlesResponse' => '\\StructType\\OXERPGetVendorArticlesResponse',
            'OXERPGetArticleManufacturer' => '\\StructType\\OXERPGetArticleManufacturer',
            'OXERPGetArticleManufacturerResponse' => '\\StructType\\OXERPGetArticleManufacturerResponse',
            'OXERPGetArticleManufacturers' => '\\StructType\\OXERPGetArticleManufacturers',
            'OXERPGetArticleManufacturersResponse' => '\\StructType\\OXERPGetArticleManufacturersResponse',
            'OXERPGetManufacturerArticles' => '\\StructType\\OXERPGetManufacturerArticles',
            'OXERPGetManufacturerArticlesResponse' => '\\StructType\\OXERPGetManufacturerArticlesResponse',
            'OXERPCallPlugin' => '\\StructType\\OXERPCallPlugin',
            'OXERPCallPluginResponse' => '\\StructType\\OXERPCallPluginResponse',
            'OXERPSetAttribute' => '\\StructType\\OXERPSetAttribute',
            'OXERPSetAttributeResponse' => '\\StructType\\OXERPSetAttributeResponse',
            'OXERPGetAttributes' => '\\StructType\\OXERPGetAttributes',
            'OXERPGetAttributesResponse' => '\\StructType\\OXERPGetAttributesResponse',
            'OXERPSetArticleAttributes' => '\\StructType\\OXERPSetArticleAttributes',
            'OXERPSetArticleAttributesResponse' => '\\StructType\\OXERPSetArticleAttributesResponse',
            'OXERPGetArticleAttributes' => '\\StructType\\OXERPGetArticleAttributes',
            'OXERPGetArticleAttributesResponse' => '\\StructType\\OXERPGetArticleAttributesResponse',
            'OXERPGetContent' => '\\StructType\\OXERPGetContent',
            'OXERPGetContentResponse' => '\\StructType\\OXERPGetContentResponse',
            'OXERPSetContent' => '\\StructType\\OXERPSetContent',
            'OXERPSetContentResponse' => '\\StructType\\OXERPSetContentResponse',
            'OXERPDeleteContent' => '\\StructType\\OXERPDeleteContent',
            'OXERPDeleteContentResponse' => '\\StructType\\OXERPDeleteContentResponse',
            'OXERPSetArticleFile' => '\\StructType\\OXERPSetArticleFile',
            'OXERPSetArticleFileResponse' => '\\StructType\\OXERPSetArticleFileResponse',
            'OXERPGetArticleFile' => '\\StructType\\OXERPGetArticleFile',
            'OXERPGetArticleFileResponse' => '\\StructType\\OXERPGetArticleFileResponse',
            'OXERPGetArticleFiles' => '\\StructType\\OXERPGetArticleFiles',
            'OXERPGetArticleFilesResponse' => '\\StructType\\OXERPGetArticleFilesResponse',
            'OXERPDeleteArticleFile' => '\\StructType\\OXERPDeleteArticleFile',
            'OXERPDeleteArticleFileResponse' => '\\StructType\\OXERPDeleteArticleFileResponse',
            'OXERPDeleteArticleFiles' => '\\StructType\\OXERPDeleteArticleFiles',
            'OXERPDeleteArticleFilesResponse' => '\\StructType\\OXERPDeleteArticleFilesResponse',
            'OXERPSetOrderArticleFile' => '\\StructType\\OXERPSetOrderArticleFile',
            'OXERPSetOrderArticleFileResponse' => '\\StructType\\OXERPSetOrderArticleFileResponse',
            'OXERPGetOrderArticleFile' => '\\StructType\\OXERPGetOrderArticleFile',
            'OXERPGetOrderArticleFileResponse' => '\\StructType\\OXERPGetOrderArticleFileResponse',
            'OXERPGetOrderArticleFiles' => '\\StructType\\OXERPGetOrderArticleFiles',
            'OXERPGetOrderArticleFilesResponse' => '\\StructType\\OXERPGetOrderArticleFilesResponse',
            'OXERPDeleteOrderArticleFile' => '\\StructType\\OXERPDeleteOrderArticleFile',
            'OXERPDeleteOrderArticleFileResponse' => '\\StructType\\OXERPDeleteOrderArticleFileResponse',
        );
    }
}
