<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OXERPGetOrderArticle StructType
 * @subpackage Structs
 */
class OXERPGetOrderArticle extends AbstractStructBase
{
    /**
     * The sSessionID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sSessionID;
    /**
     * The sOrderID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sOrderID;
    /**
     * The OXERPSort
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\OXERPSort
     */
    public $OXERPSort;
    /**
     * The iStart
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $iStart;
    /**
     * The iCount
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $iCount;
    /**
     * Constructor method for OXERPGetOrderArticle
     * @uses OXERPGetOrderArticle::setSSessionID()
     * @uses OXERPGetOrderArticle::setSOrderID()
     * @uses OXERPGetOrderArticle::setOXERPSort()
     * @uses OXERPGetOrderArticle::setIStart()
     * @uses OXERPGetOrderArticle::setICount()
     * @param string $sSessionID
     * @param string $sOrderID
     * @param \StructType\OXERPSort $oXERPSort
     * @param int $iStart
     * @param int $iCount
     */
    public function __construct($sSessionID = null, $sOrderID = null, \StructType\OXERPSort $oXERPSort = null, $iStart = null, $iCount = null)
    {
        $this
            ->setSSessionID($sSessionID)
            ->setSOrderID($sOrderID)
            ->setOXERPSort($oXERPSort)
            ->setIStart($iStart)
            ->setICount($iCount);
    }
    /**
     * Get sSessionID value
     * @return string|null
     */
    public function getSSessionID()
    {
        return $this->sSessionID;
    }
    /**
     * Set sSessionID value
     * @param string $sSessionID
     * @return \StructType\OXERPGetOrderArticle
     */
    public function setSSessionID($sSessionID = null)
    {
        // validation for constraint: string
        if (!is_null($sSessionID) && !is_string($sSessionID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sSessionID, true), gettype($sSessionID)), __LINE__);
        }
        $this->sSessionID = $sSessionID;
        return $this;
    }
    /**
     * Get sOrderID value
     * @return string|null
     */
    public function getSOrderID()
    {
        return $this->sOrderID;
    }
    /**
     * Set sOrderID value
     * @param string $sOrderID
     * @return \StructType\OXERPGetOrderArticle
     */
    public function setSOrderID($sOrderID = null)
    {
        // validation for constraint: string
        if (!is_null($sOrderID) && !is_string($sOrderID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sOrderID, true), gettype($sOrderID)), __LINE__);
        }
        $this->sOrderID = $sOrderID;
        return $this;
    }
    /**
     * Get OXERPSort value
     * @return \StructType\OXERPSort|null
     */
    public function getOXERPSort()
    {
        return $this->OXERPSort;
    }
    /**
     * Set OXERPSort value
     * @param \StructType\OXERPSort $oXERPSort
     * @return \StructType\OXERPGetOrderArticle
     */
    public function setOXERPSort(\StructType\OXERPSort $oXERPSort = null)
    {
        $this->OXERPSort = $oXERPSort;
        return $this;
    }
    /**
     * Get iStart value
     * @return int|null
     */
    public function getIStart()
    {
        return $this->iStart;
    }
    /**
     * Set iStart value
     * @param int $iStart
     * @return \StructType\OXERPGetOrderArticle
     */
    public function setIStart($iStart = null)
    {
        // validation for constraint: int
        if (!is_null($iStart) && !(is_int($iStart) || ctype_digit($iStart))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($iStart, true), gettype($iStart)), __LINE__);
        }
        $this->iStart = $iStart;
        return $this;
    }
    /**
     * Get iCount value
     * @return int|null
     */
    public function getICount()
    {
        return $this->iCount;
    }
    /**
     * Set iCount value
     * @param int $iCount
     * @return \StructType\OXERPGetOrderArticle
     */
    public function setICount($iCount = null)
    {
        // validation for constraint: int
        if (!is_null($iCount) && !(is_int($iCount) || ctype_digit($iCount))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($iCount, true), gettype($iCount)), __LINE__);
        }
        $this->iCount = $iCount;
        return $this;
    }
}
