<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OXERPSetArticleAction StructType
 * @subpackage Structs
 */
class OXERPSetArticleAction extends AbstractStructBase
{
    /**
     * The sSessionID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sSessionID;
    /**
     * The sArticleID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sArticleID;
    /**
     * The aAction
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfOXERPType
     */
    public $aAction;
    /**
     * Constructor method for OXERPSetArticleAction
     * @uses OXERPSetArticleAction::setSSessionID()
     * @uses OXERPSetArticleAction::setSArticleID()
     * @uses OXERPSetArticleAction::setAAction()
     * @param string $sSessionID
     * @param string $sArticleID
     * @param \ArrayType\ArrayOfOXERPType $aAction
     */
    public function __construct($sSessionID = null, $sArticleID = null, \ArrayType\ArrayOfOXERPType $aAction = null)
    {
        $this
            ->setSSessionID($sSessionID)
            ->setSArticleID($sArticleID)
            ->setAAction($aAction);
    }
    /**
     * Get sSessionID value
     * @return string|null
     */
    public function getSSessionID()
    {
        return $this->sSessionID;
    }
    /**
     * Set sSessionID value
     * @param string $sSessionID
     * @return \StructType\OXERPSetArticleAction
     */
    public function setSSessionID($sSessionID = null)
    {
        // validation for constraint: string
        if (!is_null($sSessionID) && !is_string($sSessionID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sSessionID, true), gettype($sSessionID)), __LINE__);
        }
        $this->sSessionID = $sSessionID;
        return $this;
    }
    /**
     * Get sArticleID value
     * @return string|null
     */
    public function getSArticleID()
    {
        return $this->sArticleID;
    }
    /**
     * Set sArticleID value
     * @param string $sArticleID
     * @return \StructType\OXERPSetArticleAction
     */
    public function setSArticleID($sArticleID = null)
    {
        // validation for constraint: string
        if (!is_null($sArticleID) && !is_string($sArticleID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sArticleID, true), gettype($sArticleID)), __LINE__);
        }
        $this->sArticleID = $sArticleID;
        return $this;
    }
    /**
     * Get aAction value
     * @return \ArrayType\ArrayOfOXERPType|null
     */
    public function getAAction()
    {
        return $this->aAction;
    }
    /**
     * Set aAction value
     * @param \ArrayType\ArrayOfOXERPType $aAction
     * @return \StructType\OXERPSetArticleAction
     */
    public function setAAction(\ArrayType\ArrayOfOXERPType $aAction = null)
    {
        $this->aAction = $aAction;
        return $this;
    }
}
