<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OXERPSetArticleCategory StructType
 * @subpackage Structs
 */
class OXERPSetArticleCategory extends AbstractStructBase
{
    /**
     * The sSessionID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sSessionID;
    /**
     * The sArticleID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sArticleID;
    /**
     * The aCategoryID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfOXERPType
     */
    public $aCategoryID;
    /**
     * The blDeleteOld
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var bool
     */
    public $blDeleteOld;
    /**
     * Constructor method for OXERPSetArticleCategory
     * @uses OXERPSetArticleCategory::setSSessionID()
     * @uses OXERPSetArticleCategory::setSArticleID()
     * @uses OXERPSetArticleCategory::setACategoryID()
     * @uses OXERPSetArticleCategory::setBlDeleteOld()
     * @param string $sSessionID
     * @param string $sArticleID
     * @param \ArrayType\ArrayOfOXERPType $aCategoryID
     * @param bool $blDeleteOld
     */
    public function __construct($sSessionID = null, $sArticleID = null, \ArrayType\ArrayOfOXERPType $aCategoryID = null, $blDeleteOld = null)
    {
        $this
            ->setSSessionID($sSessionID)
            ->setSArticleID($sArticleID)
            ->setACategoryID($aCategoryID)
            ->setBlDeleteOld($blDeleteOld);
    }
    /**
     * Get sSessionID value
     * @return string|null
     */
    public function getSSessionID()
    {
        return $this->sSessionID;
    }
    /**
     * Set sSessionID value
     * @param string $sSessionID
     * @return \StructType\OXERPSetArticleCategory
     */
    public function setSSessionID($sSessionID = null)
    {
        // validation for constraint: string
        if (!is_null($sSessionID) && !is_string($sSessionID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sSessionID, true), gettype($sSessionID)), __LINE__);
        }
        $this->sSessionID = $sSessionID;
        return $this;
    }
    /**
     * Get sArticleID value
     * @return string|null
     */
    public function getSArticleID()
    {
        return $this->sArticleID;
    }
    /**
     * Set sArticleID value
     * @param string $sArticleID
     * @return \StructType\OXERPSetArticleCategory
     */
    public function setSArticleID($sArticleID = null)
    {
        // validation for constraint: string
        if (!is_null($sArticleID) && !is_string($sArticleID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sArticleID, true), gettype($sArticleID)), __LINE__);
        }
        $this->sArticleID = $sArticleID;
        return $this;
    }
    /**
     * Get aCategoryID value
     * @return \ArrayType\ArrayOfOXERPType|null
     */
    public function getACategoryID()
    {
        return $this->aCategoryID;
    }
    /**
     * Set aCategoryID value
     * @param \ArrayType\ArrayOfOXERPType $aCategoryID
     * @return \StructType\OXERPSetArticleCategory
     */
    public function setACategoryID(\ArrayType\ArrayOfOXERPType $aCategoryID = null)
    {
        $this->aCategoryID = $aCategoryID;
        return $this;
    }
    /**
     * Get blDeleteOld value
     * @return bool|null
     */
    public function getBlDeleteOld()
    {
        return $this->blDeleteOld;
    }
    /**
     * Set blDeleteOld value
     * @param bool $blDeleteOld
     * @return \StructType\OXERPSetArticleCategory
     */
    public function setBlDeleteOld($blDeleteOld = null)
    {
        // validation for constraint: boolean
        if (!is_null($blDeleteOld) && !is_bool($blDeleteOld)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($blDeleteOld, true), gettype($blDeleteOld)), __LINE__);
        }
        $this->blDeleteOld = $blDeleteOld;
        return $this;
    }
}
