<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OXERPSetAttribute StructType
 * @subpackage Structs
 */
class OXERPSetAttribute extends AbstractStructBase
{
    /**
     * The sSessionID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sSessionID;
    /**
     * The aAttribute
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfOXERPType
     */
    public $aAttribute;
    /**
     * Constructor method for OXERPSetAttribute
     * @uses OXERPSetAttribute::setSSessionID()
     * @uses OXERPSetAttribute::setAAttribute()
     * @param string $sSessionID
     * @param \ArrayType\ArrayOfOXERPType $aAttribute
     */
    public function __construct($sSessionID = null, \ArrayType\ArrayOfOXERPType $aAttribute = null)
    {
        $this
            ->setSSessionID($sSessionID)
            ->setAAttribute($aAttribute);
    }
    /**
     * Get sSessionID value
     * @return string|null
     */
    public function getSSessionID()
    {
        return $this->sSessionID;
    }
    /**
     * Set sSessionID value
     * @param string $sSessionID
     * @return \StructType\OXERPSetAttribute
     */
    public function setSSessionID($sSessionID = null)
    {
        // validation for constraint: string
        if (!is_null($sSessionID) && !is_string($sSessionID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sSessionID, true), gettype($sSessionID)), __LINE__);
        }
        $this->sSessionID = $sSessionID;
        return $this;
    }
    /**
     * Get aAttribute value
     * @return \ArrayType\ArrayOfOXERPType|null
     */
    public function getAAttribute()
    {
        return $this->aAttribute;
    }
    /**
     * Set aAttribute value
     * @param \ArrayType\ArrayOfOXERPType $aAttribute
     * @return \StructType\OXERPSetAttribute
     */
    public function setAAttribute(\ArrayType\ArrayOfOXERPType $aAttribute = null)
    {
        $this->aAttribute = $aAttribute;
        return $this;
    }
}
