<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OXERPSetCategory StructType
 * @subpackage Structs
 */
class OXERPSetCategory extends AbstractStructBase
{
    /**
     * The sSessionID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sSessionID;
    /**
     * The aCategory
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfOXERPType
     */
    public $aCategory;
    /**
     * Constructor method for OXERPSetCategory
     * @uses OXERPSetCategory::setSSessionID()
     * @uses OXERPSetCategory::setACategory()
     * @param string $sSessionID
     * @param \ArrayType\ArrayOfOXERPType $aCategory
     */
    public function __construct($sSessionID = null, \ArrayType\ArrayOfOXERPType $aCategory = null)
    {
        $this
            ->setSSessionID($sSessionID)
            ->setACategory($aCategory);
    }
    /**
     * Get sSessionID value
     * @return string|null
     */
    public function getSSessionID()
    {
        return $this->sSessionID;
    }
    /**
     * Set sSessionID value
     * @param string $sSessionID
     * @return \StructType\OXERPSetCategory
     */
    public function setSSessionID($sSessionID = null)
    {
        // validation for constraint: string
        if (!is_null($sSessionID) && !is_string($sSessionID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sSessionID, true), gettype($sSessionID)), __LINE__);
        }
        $this->sSessionID = $sSessionID;
        return $this;
    }
    /**
     * Get aCategory value
     * @return \ArrayType\ArrayOfOXERPType|null
     */
    public function getACategory()
    {
        return $this->aCategory;
    }
    /**
     * Set aCategory value
     * @param \ArrayType\ArrayOfOXERPType $aCategory
     * @return \StructType\OXERPSetCategory
     */
    public function setACategory(\ArrayType\ArrayOfOXERPType $aCategory = null)
    {
        $this->aCategory = $aCategory;
        return $this;
    }
}
