<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OXERPSetContent StructType
 * @subpackage Structs
 */
class OXERPSetContent extends AbstractStructBase
{
    /**
     * The sSessionID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sSessionID;
    /**
     * The aContent
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfOXERPType
     */
    public $aContent;
    /**
     * Constructor method for OXERPSetContent
     * @uses OXERPSetContent::setSSessionID()
     * @uses OXERPSetContent::setAContent()
     * @param string $sSessionID
     * @param \ArrayType\ArrayOfOXERPType $aContent
     */
    public function __construct($sSessionID = null, \ArrayType\ArrayOfOXERPType $aContent = null)
    {
        $this
            ->setSSessionID($sSessionID)
            ->setAContent($aContent);
    }
    /**
     * Get sSessionID value
     * @return string|null
     */
    public function getSSessionID()
    {
        return $this->sSessionID;
    }
    /**
     * Set sSessionID value
     * @param string $sSessionID
     * @return \StructType\OXERPSetContent
     */
    public function setSSessionID($sSessionID = null)
    {
        // validation for constraint: string
        if (!is_null($sSessionID) && !is_string($sSessionID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sSessionID, true), gettype($sSessionID)), __LINE__);
        }
        $this->sSessionID = $sSessionID;
        return $this;
    }
    /**
     * Get aContent value
     * @return \ArrayType\ArrayOfOXERPType|null
     */
    public function getAContent()
    {
        return $this->aContent;
    }
    /**
     * Set aContent value
     * @param \ArrayType\ArrayOfOXERPType $aContent
     * @return \StructType\OXERPSetContent
     */
    public function setAContent(\ArrayType\ArrayOfOXERPType $aContent = null)
    {
        $this->aContent = $aContent;
        return $this;
    }
}
