<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OXERPType StructType
 * @subpackage Structs
 */
class OXERPType extends AbstractStructBase
{
    /**
     * The blResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $blResult;
    /**
     * The aResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfArrayOfString
     */
    public $aResult;
    /**
     * The sMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sMessage;
    /**
     * Constructor method for OXERPType
     * @uses OXERPType::setBlResult()
     * @uses OXERPType::setAResult()
     * @uses OXERPType::setSMessage()
     * @param bool $blResult
     * @param \ArrayType\ArrayOfArrayOfString $aResult
     * @param string $sMessage
     */
    public function __construct($blResult = null, \ArrayType\ArrayOfArrayOfString $aResult = null, $sMessage = null)
    {
        $this
            ->setBlResult($blResult)
            ->setAResult($aResult)
            ->setSMessage($sMessage);
    }
    /**
     * Get blResult value
     * @return bool
     */
    public function getBlResult()
    {
        return $this->blResult;
    }
    /**
     * Set blResult value
     * @param bool $blResult
     * @return \StructType\OXERPType
     */
    public function setBlResult($blResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($blResult) && !is_bool($blResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($blResult, true), gettype($blResult)), __LINE__);
        }
        $this->blResult = $blResult;
        return $this;
    }
    /**
     * Get aResult value
     * @return \ArrayType\ArrayOfArrayOfString|null
     */
    public function getAResult()
    {
        return $this->aResult;
    }
    /**
     * Set aResult value
     * @param \ArrayType\ArrayOfArrayOfString $aResult
     * @return \StructType\OXERPType
     */
    public function setAResult(\ArrayType\ArrayOfArrayOfString $aResult = null)
    {
        $this->aResult = $aResult;
        return $this;
    }
    /**
     * Get sMessage value
     * @return string|null
     */
    public function getSMessage()
    {
        return $this->sMessage;
    }
    /**
     * Set sMessage value
     * @param string $sMessage
     * @return \StructType\OXERPType
     */
    public function setSMessage($sMessage = null)
    {
        // validation for constraint: string
        if (!is_null($sMessage) && !is_string($sMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sMessage, true), gettype($sMessage)), __LINE__);
        }
        $this->sMessage = $sMessage;
        return $this;
    }
}
