<?php
/**
 * This file aims to show you how to use this generated package.
 * In addition, the goal is to show which methods are available and the first needed parameter(s)
 * You have to use an associative array such as:
 * - the key must be a constant beginning with WSDL_ from AbstractSoapClientBase class (each generated ServiceType class extends this class)
 * - the value must be the corresponding key value (each option matches a {@link http://www.php.net/manual/en/soapclient.soapclient.php} option)
 * $options = array(
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'main.wsdl',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_TRACE => true,
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_LOGIN => 'you_secret_login',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_PASSWORD => 'you_secret_password',
 * );
 * etc...
 */
require_once __DIR__ . '/vendor/autoload.php';
/**
 * Minimal options
 */
$options = array(
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'main.wsdl',
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_CLASSMAP => ClassMap::get(),
);
/**
 * Samples for OXERPL ServiceType
 */
$oXERPL = new \ServiceType\OXERPL($options);
/**
 * Sample call for OXERPLogin operation/method
 */
if ($oXERPL->OXERPLogin(new \StructType\OXERPLogin()) !== false) {
    print_r($oXERPL->getResult());
} else {
    print_r($oXERPL->getLastError());
}
/**
 * Samples for OXERPS ServiceType
 */
$oXERPS = new \ServiceType\OXERPS($options);
/**
 * Sample call for OXERPSetUser operation/method
 */
if ($oXERPS->OXERPSetUser(new \StructType\OXERPSetUser()) !== false) {
    print_r($oXERPS->getResult());
} else {
    print_r($oXERPS->getLastError());
}
/**
 * Sample call for OXERPSetCategory operation/method
 */
if ($oXERPS->OXERPSetCategory(new \StructType\OXERPSetCategory()) !== false) {
    print_r($oXERPS->getResult());
} else {
    print_r($oXERPS->getLastError());
}
/**
 * Sample call for OXERPSetArticle operation/method
 */
if ($oXERPS->OXERPSetArticle(new \StructType\OXERPSetArticle()) !== false) {
    print_r($oXERPS->getResult());
} else {
    print_r($oXERPS->getLastError());
}
/**
 * Sample call for OXERPSetArtExtends operation/method
 */
if ($oXERPS->OXERPSetArtExtends(new \StructType\OXERPSetArtExtends()) !== false) {
    print_r($oXERPS->getResult());
} else {
    print_r($oXERPS->getLastError());
}
/**
 * Sample call for OXERPSetArticleStock operation/method
 */
if ($oXERPS->OXERPSetArticleStock(new \StructType\OXERPSetArticleStock()) !== false) {
    print_r($oXERPS->getResult());
} else {
    print_r($oXERPS->getLastError());
}
/**
 * Sample call for OXERPSetArticleCategory operation/method
 */
if ($oXERPS->OXERPSetArticleCategory(new \StructType\OXERPSetArticleCategory()) !== false) {
    print_r($oXERPS->getResult());
} else {
    print_r($oXERPS->getLastError());
}
/**
 * Sample call for OXERPSetObject2Category operation/method
 */
if ($oXERPS->OXERPSetObject2Category(new \StructType\OXERPSetObject2Category()) !== false) {
    print_r($oXERPS->getResult());
} else {
    print_r($oXERPS->getLastError());
}
/**
 * Sample call for OXERPSetArticleAction operation/method
 */
if ($oXERPS->OXERPSetArticleAction(new \StructType\OXERPSetArticleAction()) !== false) {
    print_r($oXERPS->getResult());
} else {
    print_r($oXERPS->getLastError());
}
/**
 * Sample call for OXERPSetArticleCrossselling operation/method
 */
if ($oXERPS->OXERPSetArticleCrossselling(new \StructType\OXERPSetArticleCrossselling()) !== false) {
    print_r($oXERPS->getResult());
} else {
    print_r($oXERPS->getLastError());
}
/**
 * Sample call for OXERPSetArticleScalePrice operation/method
 */
if ($oXERPS->OXERPSetArticleScalePrice(new \StructType\OXERPSetArticleScalePrice()) !== false) {
    print_r($oXERPS->getResult());
} else {
    print_r($oXERPS->getLastError());
}
/**
 * Sample call for OXERPSetArticleAccessoire operation/method
 */
if ($oXERPS->OXERPSetArticleAccessoire(new \StructType\OXERPSetArticleAccessoire()) !== false) {
    print_r($oXERPS->getResult());
} else {
    print_r($oXERPS->getLastError());
}
/**
 * Sample call for OXERPSetOrder operation/method
 */
if ($oXERPS->OXERPSetOrder(new \StructType\OXERPSetOrder()) !== false) {
    print_r($oXERPS->getResult());
} else {
    print_r($oXERPS->getLastError());
}
/**
 * Sample call for OXERPSetOrderArticle operation/method
 */
if ($oXERPS->OXERPSetOrderArticle(new \StructType\OXERPSetOrderArticle()) !== false) {
    print_r($oXERPS->getResult());
} else {
    print_r($oXERPS->getLastError());
}
/**
 * Sample call for OXERPSetOrderStatus operation/method
 */
if ($oXERPS->OXERPSetOrderStatus(new \StructType\OXERPSetOrderStatus()) !== false) {
    print_r($oXERPS->getResult());
} else {
    print_r($oXERPS->getLastError());
}
/**
 * Sample call for OXERPSetCountry operation/method
 */
if ($oXERPS->OXERPSetCountry(new \StructType\OXERPSetCountry()) !== false) {
    print_r($oXERPS->getResult());
} else {
    print_r($oXERPS->getLastError());
}
/**
 * Sample call for OXERPSetVendor operation/method
 */
if ($oXERPS->OXERPSetVendor(new \StructType\OXERPSetVendor()) !== false) {
    print_r($oXERPS->getResult());
} else {
    print_r($oXERPS->getLastError());
}
/**
 * Sample call for OXERPSetArticleVendor operation/method
 */
if ($oXERPS->OXERPSetArticleVendor(new \StructType\OXERPSetArticleVendor()) !== false) {
    print_r($oXERPS->getResult());
} else {
    print_r($oXERPS->getLastError());
}
/**
 * Sample call for OXERPSetManufacturer operation/method
 */
if ($oXERPS->OXERPSetManufacturer(new \StructType\OXERPSetManufacturer()) !== false) {
    print_r($oXERPS->getResult());
} else {
    print_r($oXERPS->getLastError());
}
/**
 * Sample call for OXERPSetArticleManufacturer operation/method
 */
if ($oXERPS->OXERPSetArticleManufacturer(new \StructType\OXERPSetArticleManufacturer()) !== false) {
    print_r($oXERPS->getResult());
} else {
    print_r($oXERPS->getLastError());
}
/**
 * Sample call for OXERPSetMainArticleCategory operation/method
 */
if ($oXERPS->OXERPSetMainArticleCategory(new \StructType\OXERPSetMainArticleCategory()) !== false) {
    print_r($oXERPS->getResult());
} else {
    print_r($oXERPS->getLastError());
}
/**
 * Sample call for OXERPSetAttribute operation/method
 */
if ($oXERPS->OXERPSetAttribute(new \StructType\OXERPSetAttribute()) !== false) {
    print_r($oXERPS->getResult());
} else {
    print_r($oXERPS->getLastError());
}
/**
 * Sample call for OXERPSetArticleAttributes operation/method
 */
if ($oXERPS->OXERPSetArticleAttributes(new \StructType\OXERPSetArticleAttributes()) !== false) {
    print_r($oXERPS->getResult());
} else {
    print_r($oXERPS->getLastError());
}
/**
 * Sample call for OXERPSetContent operation/method
 */
if ($oXERPS->OXERPSetContent(new \StructType\OXERPSetContent()) !== false) {
    print_r($oXERPS->getResult());
} else {
    print_r($oXERPS->getLastError());
}
/**
 * Sample call for OXERPSetArticleFile operation/method
 */
if ($oXERPS->OXERPSetArticleFile(new \StructType\OXERPSetArticleFile()) !== false) {
    print_r($oXERPS->getResult());
} else {
    print_r($oXERPS->getLastError());
}
/**
 * Sample call for OXERPSetOrderArticleFile operation/method
 */
if ($oXERPS->OXERPSetOrderArticleFile(new \StructType\OXERPSetOrderArticleFile()) !== false) {
    print_r($oXERPS->getResult());
} else {
    print_r($oXERPS->getLastError());
}
/**
 * Samples for OXERPG ServiceType
 */
$oXERPG = new \ServiceType\OXERPG($options);
/**
 * Sample call for OXERPGetUser operation/method
 */
if ($oXERPG->OXERPGetUser(new \StructType\OXERPGetUser()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetUsers operation/method
 */
if ($oXERPG->OXERPGetUsers(new \StructType\OXERPGetUsers()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetCategory operation/method
 */
if ($oXERPG->OXERPGetCategory(new \StructType\OXERPGetCategory()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetCategories operation/method
 */
if ($oXERPG->OXERPGetCategories(new \StructType\OXERPGetCategories()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetArticle operation/method
 */
if ($oXERPG->OXERPGetArticle(new \StructType\OXERPGetArticle()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetArtExtends operation/method
 */
if ($oXERPG->OXERPGetArtExtends(new \StructType\OXERPGetArtExtends()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetArticles operation/method
 */
if ($oXERPG->OXERPGetArticles(new \StructType\OXERPGetArticles()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetArticleStock operation/method
 */
if ($oXERPG->OXERPGetArticleStock(new \StructType\OXERPGetArticleStock()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetArticleCategory operation/method
 */
if ($oXERPG->OXERPGetArticleCategory(new \StructType\OXERPGetArticleCategory()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetObject2Category operation/method
 */
if ($oXERPG->OXERPGetObject2Category(new \StructType\OXERPGetObject2Category()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetArticleAction operation/method
 */
if ($oXERPG->OXERPGetArticleAction(new \StructType\OXERPGetArticleAction()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetArticleCrossselling operation/method
 */
if ($oXERPG->OXERPGetArticleCrossselling(new \StructType\OXERPGetArticleCrossselling()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetArticleScalePrice operation/method
 */
if ($oXERPG->OXERPGetArticleScalePrice(new \StructType\OXERPGetArticleScalePrice()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetArticleAccessoire operation/method
 */
if ($oXERPG->OXERPGetArticleAccessoire(new \StructType\OXERPGetArticleAccessoire()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetOrder operation/method
 */
if ($oXERPG->OXERPGetOrder(new \StructType\OXERPGetOrder()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetOrders operation/method
 */
if ($oXERPG->OXERPGetOrders(new \StructType\OXERPGetOrders()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetOrderArticle operation/method
 */
if ($oXERPG->OXERPGetOrderArticle(new \StructType\OXERPGetOrderArticle()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetCountry operation/method
 */
if ($oXERPG->OXERPGetCountry(new \StructType\OXERPGetCountry()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetCountries operation/method
 */
if ($oXERPG->OXERPGetCountries(new \StructType\OXERPGetCountries()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetVendor operation/method
 */
if ($oXERPG->OXERPGetVendor(new \StructType\OXERPGetVendor()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetVendors operation/method
 */
if ($oXERPG->OXERPGetVendors(new \StructType\OXERPGetVendors()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetManufacturer operation/method
 */
if ($oXERPG->OXERPGetManufacturer(new \StructType\OXERPGetManufacturer()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetManufacturers operation/method
 */
if ($oXERPG->OXERPGetManufacturers(new \StructType\OXERPGetManufacturers()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetArticleVendor operation/method
 */
if ($oXERPG->OXERPGetArticleVendor(new \StructType\OXERPGetArticleVendor()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetArticleVendors operation/method
 */
if ($oXERPG->OXERPGetArticleVendors(new \StructType\OXERPGetArticleVendors()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetVendorArticles operation/method
 */
if ($oXERPG->OXERPGetVendorArticles(new \StructType\OXERPGetVendorArticles()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetArticleManufacturer operation/method
 */
if ($oXERPG->OXERPGetArticleManufacturer(new \StructType\OXERPGetArticleManufacturer()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetArticleManufacturers operation/method
 */
if ($oXERPG->OXERPGetArticleManufacturers(new \StructType\OXERPGetArticleManufacturers()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetManufacturerArticles operation/method
 */
if ($oXERPG->OXERPGetManufacturerArticles(new \StructType\OXERPGetManufacturerArticles()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetAttributes operation/method
 */
if ($oXERPG->OXERPGetAttributes(new \StructType\OXERPGetAttributes()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetArticleAttributes operation/method
 */
if ($oXERPG->OXERPGetArticleAttributes(new \StructType\OXERPGetArticleAttributes()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetContent operation/method
 */
if ($oXERPG->OXERPGetContent(new \StructType\OXERPGetContent()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetArticleFile operation/method
 */
if ($oXERPG->OXERPGetArticleFile(new \StructType\OXERPGetArticleFile()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetArticleFiles operation/method
 */
if ($oXERPG->OXERPGetArticleFiles(new \StructType\OXERPGetArticleFiles()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetOrderArticleFile operation/method
 */
if ($oXERPG->OXERPGetOrderArticleFile(new \StructType\OXERPGetOrderArticleFile()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Sample call for OXERPGetOrderArticleFiles operation/method
 */
if ($oXERPG->OXERPGetOrderArticleFiles(new \StructType\OXERPGetOrderArticleFiles()) !== false) {
    print_r($oXERPG->getResult());
} else {
    print_r($oXERPG->getLastError());
}
/**
 * Samples for OXERPD ServiceType
 */
$oXERPD = new \ServiceType\OXERPD($options);
/**
 * Sample call for OXERPDeleteUser operation/method
 */
if ($oXERPD->OXERPDeleteUser(new \StructType\OXERPDeleteUser()) !== false) {
    print_r($oXERPD->getResult());
} else {
    print_r($oXERPD->getLastError());
}
/**
 * Sample call for OXERPDeleteUsers operation/method
 */
if ($oXERPD->OXERPDeleteUsers(new \StructType\OXERPDeleteUsers()) !== false) {
    print_r($oXERPD->getResult());
} else {
    print_r($oXERPD->getLastError());
}
/**
 * Sample call for OXERPDeleteCategory operation/method
 */
if ($oXERPD->OXERPDeleteCategory(new \StructType\OXERPDeleteCategory()) !== false) {
    print_r($oXERPD->getResult());
} else {
    print_r($oXERPD->getLastError());
}
/**
 * Sample call for OXERPDeleteCategories operation/method
 */
if ($oXERPD->OXERPDeleteCategories(new \StructType\OXERPDeleteCategories()) !== false) {
    print_r($oXERPD->getResult());
} else {
    print_r($oXERPD->getLastError());
}
/**
 * Sample call for OXERPDeleteArticle operation/method
 */
if ($oXERPD->OXERPDeleteArticle(new \StructType\OXERPDeleteArticle()) !== false) {
    print_r($oXERPD->getResult());
} else {
    print_r($oXERPD->getLastError());
}
/**
 * Sample call for OXERPDeleteArticleCategory operation/method
 */
if ($oXERPD->OXERPDeleteArticleCategory(new \StructType\OXERPDeleteArticleCategory()) !== false) {
    print_r($oXERPD->getResult());
} else {
    print_r($oXERPD->getLastError());
}
/**
 * Sample call for OXERPDeleteOrderArticle operation/method
 */
if ($oXERPD->OXERPDeleteOrderArticle(new \StructType\OXERPDeleteOrderArticle()) !== false) {
    print_r($oXERPD->getResult());
} else {
    print_r($oXERPD->getLastError());
}
/**
 * Sample call for OXERPDeleteAccessoireArticle operation/method
 */
if ($oXERPD->OXERPDeleteAccessoireArticle(new \StructType\OXERPDeleteAccessoireArticle()) !== false) {
    print_r($oXERPD->getResult());
} else {
    print_r($oXERPD->getLastError());
}
/**
 * Sample call for OXERPDeleteArticleScalePrice operation/method
 */
if ($oXERPD->OXERPDeleteArticleScalePrice(new \StructType\OXERPDeleteArticleScalePrice()) !== false) {
    print_r($oXERPD->getResult());
} else {
    print_r($oXERPD->getLastError());
}
/**
 * Sample call for OXERPDeleteArticleCrossselling operation/method
 */
if ($oXERPD->OXERPDeleteArticleCrossselling(new \StructType\OXERPDeleteArticleCrossselling()) !== false) {
    print_r($oXERPD->getResult());
} else {
    print_r($oXERPD->getLastError());
}
/**
 * Sample call for OXERPDeleteActionsArticle operation/method
 */
if ($oXERPD->OXERPDeleteActionsArticle(new \StructType\OXERPDeleteActionsArticle()) !== false) {
    print_r($oXERPD->getResult());
} else {
    print_r($oXERPD->getLastError());
}
/**
 * Sample call for OXERPDeleteArticles operation/method
 */
if ($oXERPD->OXERPDeleteArticles(new \StructType\OXERPDeleteArticles()) !== false) {
    print_r($oXERPD->getResult());
} else {
    print_r($oXERPD->getLastError());
}
/**
 * Sample call for OXERPDeleteObject2Category operation/method
 */
if ($oXERPD->OXERPDeleteObject2Category(new \StructType\OXERPDeleteObject2Category()) !== false) {
    print_r($oXERPD->getResult());
} else {
    print_r($oXERPD->getLastError());
}
/**
 * Sample call for OXERPDeleteOrder operation/method
 */
if ($oXERPD->OXERPDeleteOrder(new \StructType\OXERPDeleteOrder()) !== false) {
    print_r($oXERPD->getResult());
} else {
    print_r($oXERPD->getLastError());
}
/**
 * Sample call for OXERPDeleteOrders operation/method
 */
if ($oXERPD->OXERPDeleteOrders(new \StructType\OXERPDeleteOrders()) !== false) {
    print_r($oXERPD->getResult());
} else {
    print_r($oXERPD->getLastError());
}
/**
 * Sample call for OXERPDeleteCountry operation/method
 */
if ($oXERPD->OXERPDeleteCountry(new \StructType\OXERPDeleteCountry()) !== false) {
    print_r($oXERPD->getResult());
} else {
    print_r($oXERPD->getLastError());
}
/**
 * Sample call for OXERPDeleteVendor operation/method
 */
if ($oXERPD->OXERPDeleteVendor(new \StructType\OXERPDeleteVendor()) !== false) {
    print_r($oXERPD->getResult());
} else {
    print_r($oXERPD->getLastError());
}
/**
 * Sample call for OXERPDeleteVendors operation/method
 */
if ($oXERPD->OXERPDeleteVendors(new \StructType\OXERPDeleteVendors()) !== false) {
    print_r($oXERPD->getResult());
} else {
    print_r($oXERPD->getLastError());
}
/**
 * Sample call for OXERPDeleteManufacturer operation/method
 */
if ($oXERPD->OXERPDeleteManufacturer(new \StructType\OXERPDeleteManufacturer()) !== false) {
    print_r($oXERPD->getResult());
} else {
    print_r($oXERPD->getLastError());
}
/**
 * Sample call for OXERPDeleteManufacturers operation/method
 */
if ($oXERPD->OXERPDeleteManufacturers(new \StructType\OXERPDeleteManufacturers()) !== false) {
    print_r($oXERPD->getResult());
} else {
    print_r($oXERPD->getLastError());
}
/**
 * Sample call for OXERPDeleteContent operation/method
 */
if ($oXERPD->OXERPDeleteContent(new \StructType\OXERPDeleteContent()) !== false) {
    print_r($oXERPD->getResult());
} else {
    print_r($oXERPD->getLastError());
}
/**
 * Sample call for OXERPDeleteArticleFile operation/method
 */
if ($oXERPD->OXERPDeleteArticleFile(new \StructType\OXERPDeleteArticleFile()) !== false) {
    print_r($oXERPD->getResult());
} else {
    print_r($oXERPD->getLastError());
}
/**
 * Sample call for OXERPDeleteArticleFiles operation/method
 */
if ($oXERPD->OXERPDeleteArticleFiles(new \StructType\OXERPDeleteArticleFiles()) !== false) {
    print_r($oXERPD->getResult());
} else {
    print_r($oXERPD->getLastError());
}
/**
 * Sample call for OXERPDeleteOrderArticleFile operation/method
 */
if ($oXERPD->OXERPDeleteOrderArticleFile(new \StructType\OXERPDeleteOrderArticleFile()) !== false) {
    print_r($oXERPD->getResult());
} else {
    print_r($oXERPD->getLastError());
}
/**
 * Samples for OXERPC ServiceType
 */
$oXERPC = new \ServiceType\OXERPC($options);
/**
 * Sample call for OXERPCallPlugin operation/method
 */
if ($oXERPC->OXERPCallPlugin(new \StructType\OXERPCallPlugin()) !== false) {
    print_r($oXERPC->getResult());
} else {
    print_r($oXERPC->getLastError());
}
